r"""
Meshless Methods for Computational Mechanics (:mod:`meshless`)
==============================================================

.. currentmodule:: meshless

This repository has been created to organize the code developed during studies
with novel meshless methods.

Available modules

- ES-PIM: static and linear buckling analysis using the edge-based smoothed
  point interpolation method

.. automodule:: meshless.espim
    :members:

.. automodule:: meshless.dev
    :members:

.. automodule:: meshless.interpolate
    :members:

"""
from .version import __version__
